> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Existing Anchorage Custody Wallet

> Fetches an existing Anchorage wallet by ID, stores it as a custody wallet with details, and refreshes its balance.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/link-existing-anchorage-custody-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/link-existing-anchorage-custody-wallet:
    post:
      operationId: linkExistingAnchorageCustodyWallet
      summary: Link Existing Anchorage Custody Wallet
      description: >-
        Fetches an existing Anchorage wallet by ID, stores it as a custody
        wallet with details, and refreshes its balance.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkExistingAnchorageCustodyWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LinkExistingAnchorageCustodyWalletResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    LinkExistingAnchorageCustodyWalletRequest:
      type: object
      properties:
        walletId:
          type: string
          minLength: 1
        walletName:
          type: string
          minLength: 1
      required:
        - walletId
        - walletName
    LinkExistingAnchorageCustodyWalletResponse:
      type: object
      properties:
        success:
          type: boolean
        wallet:
          type:
            - object
            - 'null'
          properties:
            custodyWalletID:
              type: string
            custodyProviderID:
              type: string
            orgID:
              type: string
            walletLink:
              type:
                - string
                - 'null'
            walletAddress:
              type: string
            walletName:
              type: string
            networkType:
              type: string
            createdAt:
              type: string
            updatedAt:
              type: string
            deletedAt:
              type:
                - string
                - 'null'
            balanceAmount:
              type:
                - string
                - 'null'
            balanceUpdatedAt:
              type:
                - string
                - 'null'
            gasBalance:
              type:
                - string
                - 'null'
            gasBalanceUpdatedAt:
              type:
                - string
                - 'null'
            updatingBalance:
              type:
                - boolean
                - 'null'
            legacyMigratedAt:
              type:
                - string
                - 'null'
            legacyModelID:
              type:
                - string
                - 'null'
            parentCustodyWalletID:
              type:
                - string
                - 'null'
          required:
            - custodyWalletID
            - custodyProviderID
            - orgID
            - walletLink
            - walletAddress
            - walletName
            - networkType
            - createdAt
            - updatedAt
            - deletedAt
            - balanceAmount
            - balanceUpdatedAt
            - gasBalance
            - gasBalanceUpdatedAt
            - updatingBalance
            - legacyMigratedAt
            - legacyModelID
            - parentCustodyWalletID
      required:
        - success
        - wallet
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
